summaryrefslogtreecommitdiffstats
path: root/perl/mod_perl
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2012-05-06 16:20:53 -0400
committer Erik Hanson <erik@slackbuilds.org>2012-05-07 12:18:11 -0500
commit045ffdda52b0eab7b027ef5774856a35416d160b (patch)
tree4160a7239de603d1dd823f04797af288035725bf /perl/mod_perl
parent16ccf9600c094f95f56181628bfa7b2ce932253b (diff)
downloadslackbuilds-045ffdda52b0eab7b027ef5774856a35416d160b.tar.gz
slackbuilds-045ffdda52b0eab7b027ef5774856a35416d160b.tar.xz
perl/mod_perl: Updated for version 2.0.6 moved from network.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'perl/mod_perl')
-rw-r--r--perl/mod_perl/README10
-rw-r--r--perl/mod_perl/doinst.sh6
-rw-r--r--perl/mod_perl/mod_perl.SlackBuild93
-rw-r--r--perl/mod_perl/mod_perl.conf32
-rw-r--r--perl/mod_perl/mod_perl.info10
-rw-r--r--perl/mod_perl/slack-desc19
6 files changed, 170 insertions, 0 deletions
diff --git a/perl/mod_perl/README b/perl/mod_perl/README
new file mode 100644
index 0000000000..b94a0be603
--- /dev/null
+++ b/perl/mod_perl/README
@@ -0,0 +1,10 @@
+Mod_perl incorporates a Perl interpreter into the Apache web server,
+so that the Apache web server can directly execute Perl code.
+Mod_perl links the Perl runtime library into the Apache web server and
+provides an object-oriented Perl interface for Apache's C language
+API. The end result is a quicker CGI script turnaround process, since
+no external Perl interpreter has to be started.
+
+To tell Apache to load it, you'll have to put the following line
+somewhere into /etc/httpd/httpd.conf:
+ Include /etc/httpd/extra/mod_perl.conf
diff --git a/perl/mod_perl/doinst.sh b/perl/mod_perl/doinst.sh
new file mode 100644
index 0000000000..3fafdd7c63
--- /dev/null
+++ b/perl/mod_perl/doinst.sh
@@ -0,0 +1,6 @@
+if [ ! -r etc/httpd/extra/mod_perl.conf ]; then
+ cat etc/httpd/extra/mod_perl.conf.example > etc/httpd/extra/mod_perl.conf
+elif [ "$(cat etc/httpd/extra/mod_perl.conf 2> /dev/null)" = "" ]; then
+ cat etc/httpd/extra/mod_perl.conf.example > etc/httpd/extra/mod_perl.conf
+fi
+
diff --git a/perl/mod_perl/mod_perl.SlackBuild b/perl/mod_perl/mod_perl.SlackBuild
new file mode 100644
index 0000000000..f5679fca1e
--- /dev/null
+++ b/perl/mod_perl/mod_perl.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for mod_perl
+
+# Copyright 2007-2012 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mod_perl
+VERSION=2.0.6
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xzf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+perl \
+ Makefile.PL \
+ MP_APXS=/usr/sbin/apxs \
+ INSTALLDIRS=vendor
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/etc/httpd/extra
+sed "s%@baselibdir@%lib${LIBDIRSUFFIX}%g" $CWD/mod_perl.conf > \
+ $PKG/etc/httpd/extra/mod_perl.conf.example
+
+mv $PKG/usr/share/man $PKG/usr/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes INSTALL LICENSE README* RELEASE STATUS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/mod_perl/mod_perl.conf b/perl/mod_perl/mod_perl.conf
new file mode 100644
index 0000000000..5135090fe6
--- /dev/null
+++ b/perl/mod_perl/mod_perl.conf
@@ -0,0 +1,32 @@
+#
+# mod_perl - Perl Interpreter for Apache2
+#
+
+# Load the Perl module:
+LoadModule perl_module @baselibdir@/httpd/modules/mod_perl.so
+
+# Define the files mod-perl's responsible for
+AddHandler perl-script pl
+
+# Set this if you want perl-scripts to be
+# executed from only one directory
+#Alias /perl/ /srv/www/htdocs/perl/
+#<Location /perl/>
+# SetHandler perl-script
+# PerlResponseHandler ModPerl::Registry
+# PerlOptions +ParseHeaders
+# Options +ExecCGI
+# Order allow,deny
+# Allow from all
+#</Location>
+
+# Set this if you want perl-scripts to be
+# executed from everywhere in the htdocs directory
+# (default)
+<Files *.pl>
+ # mod_perl mode
+ SetHandler perl-script
+ PerlResponseHandler ModPerl::Registry
+ PerlOptions +ParseHeaders
+ Options +ExecCGI
+</Files>
diff --git a/perl/mod_perl/mod_perl.info b/perl/mod_perl/mod_perl.info
new file mode 100644
index 0000000000..f908d3ab4c
--- /dev/null
+++ b/perl/mod_perl/mod_perl.info
@@ -0,0 +1,10 @@
+PRGNAM="mod_perl"
+VERSION="2.0.6"
+HOMEPAGE="http://perl.apache.org/"
+DOWNLOAD="http://archive.apache.org/dist/perl/mod_perl-2.0.6.tar.gz"
+MD5SUM="76f4154cffb15972246f03080e9d133c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="dsomero"
diff --git a/perl/mod_perl/slack-desc b/perl/mod_perl/slack-desc
new file mode 100644
index 0000000000..9b321d9c1a
--- /dev/null
+++ b/perl/mod_perl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mod_perl: mod_perl (Perl Interpreter for Apache)
+mod_perl:
+mod_perl: Mod_perl incorporates a Perl interpreter into the Apache web server
+mod_perl: so that the Apache web server can directly execute Perl code.
+mod_perl: Mod_perl links the Perl runtime library into the Apache web server
+mod_perl: and provides an object-oriented Perl interface for Apache's C
+mod_perl: language API. The end result is a quicker CGI script turnaround
+mod_perl: process, since no external Perl interpreter has to be started.
+mod_perl:
+mod_perl: Homepage: http://perl.apache.org/
+mod_perl: